| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Member Functions | Static Private Member Functions | Private Attributes | List of all members
View2D::FaultSS3D Class Reference
uiViewer2D

`#include <view2dfaultss3d.h>`

Inheritance diagram for View2D::FaultSS3D:
[legend]

## Public Member Functions
NotifierAccess * | deSelection () override
void | draw ()
void | enablePainting (bool yn)
void | selected ()
void | setTrcKeyZSampling (const TrcKeyZSampling &, bool upd=false)
Public Member Functions inherited from View2D::EMDataObject
const EM::ObjectID & | emID () const
bool | fillPar (IOPar &) const override
const EM::ObjectID & | getEMObjectID () const
void | setEMObjectID (const EM::ObjectID &)
bool | usePar (const IOPar &) override
Public Member Functions inherited from View2D::DataObject
virtual const char * | getClassName () const
Vis2DID | id () const
void | setID (const Vis2DID &id)
Public Member Functions inherited from SharedObject
| SharedObject (const char *nm=nullptr)
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const
Public Member Functions inherited from RefCount::Referenced
void | addObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
int | nrRefs () const
| Only for expert use.
void | ref () const
bool | refIfReffed () const
| Don't use in production, for debugging.
void | removeObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
bool | tryRef () const
| Not for normal use. May become private.
void | unRef () const
void | unRefNoDelete () const

## Static Public Member Functions
static FaultSS3D * | create (uiFlatViewWin *, const ObjectSet< uiFlatViewAuxDataEditor > &)
static void | initClass ()
Static Public Member Functions inherited from View2D::DataObject
static const char * | sKeyMID ()
Static Public Member Functions inherited from SharedObject
static Notifier< SharedObject > & | instanceCreated ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Static Public Member Functions inherited from RefCount::Referenced
static bool | isSane (const Referenced *)

## Protected Member Functions
| FaultSS3D (uiFlatViewWin *, const ObjectSet< uiFlatViewAuxDataEditor > &)
| ~FaultSS3D ()
Protected Member Functions inherited from View2D::EMDataObject
| EMDataObject (uiFlatViewWin *, const ObjectSet< uiFlatViewAuxDataEditor > &)
| ~EMDataObject ()
Protected Member Functions inherited from View2D::DataObject
| DataObject ()
| ~DataObject ()
Protected Member Functions inherited from SharedObject
| ~SharedObject ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const
Protected Member Functions inherited from RefCount::Referenced
| Referenced ()
| Referenced (const Referenced &)
virtual | ~Referenced ()
Referenced & | operator= (const Referenced &)

## Private Member Functions
void | setEditors () override
void | triggerDeSel () override

## Static Private Member Functions
static DataObject * | createInternal (uiFlatViewWin *, const ObjectSet< uiFlatViewAuxDataEditor > &)

## Private Attributes
Notifier< FaultSS3D > | deselected_
RefMan< MPE::FaultStickSetEditor > | fsseditor_
ObjectSet< MPE::FaultStickSetFlatViewEditor > | fsseds_
bool | knotenabled_ = false

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Protected Attributes inherited from View2D::EMDataObject
const ObjectSet< uiFlatViewAuxDataEditor > & | auxdataeditors_
EM::ObjectID | emid_
uiFlatViewWin * | viewerwin_
Protected Attributes inherited from View2D::DataObject
Vis2DID | id_
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ FaultSS3D()

View2D::FaultSS3D::FaultSS3D | ( | uiFlatViewWin * | ,
|  | const ObjectSet< uiFlatViewAuxDataEditor > & | )
| protected

## ◆ ~FaultSS3D()

View2D::FaultSS3D::~FaultSS3D | ( |  | ) |
| protected

## Member Function Documentation

## ◆ create()

static FaultSS3D * View2D::FaultSS3D::create | ( | uiFlatViewWin * | ,
|  | const ObjectSet< uiFlatViewAuxDataEditor > & | )
| static

## ◆ createInternal()

static DataObject * View2D::FaultSS3D::createInternal | ( | uiFlatViewWin * | ,
|  | const ObjectSet< uiFlatViewAuxDataEditor > & | )
| static private

## ◆ deSelection()

NotifierAccess * View2D::FaultSS3D::deSelection | ( |  | ) |
| inline override virtual

Reimplemented from View2D::DataObject.

## ◆ draw()

void View2D::FaultSS3D::draw | ( |  | ) |

## ◆ enablePainting()

void View2D::FaultSS3D::enablePainting | ( | bool | yn | ) |

## ◆ initClass()

static void View2D::FaultSS3D::initClass | ( |  | ) |
| static

## ◆ selected()

void View2D::FaultSS3D::selected | ( |  | ) |

## ◆ setEditors()

void View2D::FaultSS3D::setEditors | ( |  | ) |
| override private virtual

Implements View2D::EMDataObject.

## ◆ setTrcKeyZSampling()

void View2D::FaultSS3D::setTrcKeyZSampling | ( | const TrcKeyZSampling & | ,
|  | bool | upd = false )

## ◆ triggerDeSel()

void View2D::FaultSS3D::triggerDeSel | ( |  | ) |
| override private virtual

Reimplemented from View2D::DataObject.

## Member Data Documentation

## ◆ deselected_

Notifier<FaultSS3D> View2D::FaultSS3D::deselected_
| private

## ◆ fsseditor_

RefMan<MPE::FaultStickSetEditor> View2D::FaultSS3D::fsseditor_
| private

## ◆ fsseds_

ObjectSet<MPE::FaultStickSetFlatViewEditor> View2D::FaultSS3D::fsseds_
| private

## ◆ knotenabled_

bool View2D::FaultSS3D::knotenabled_ = false
| private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025